﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class Test_ListSummaryView : System.Web.UI.UserControl
{
    public long FolderID { get; set; }
    public bool Recursive { get; set; }

    protected void Page_PreRender(object sender, EventArgs e)
    {
        
    }
    
    protected void Page_Load(object sender, EventArgs e)
    {
        Ektron.Cms.Framework.Content.LibraryManager lman = new Ektron.Cms.Framework.Content.LibraryManager(Ektron.Cms.Framework.ApiAccessMode.Admin);

        Ektron.Cms.Content.LibraryCriteria libCriteria = new Ektron.Cms.Content.LibraryCriteria(Ektron.Cms.Common.LibraryProperty.Id, Ektron.Cms.Common.EkEnumeration.OrderByDirection.Ascending);

        if (Recursive)
        {
            Ektron.Cms.Framework.Organization.FolderManager fman = new Ektron.Cms.Framework.Organization.FolderManager(Ektron.Cms.Framework.ApiAccessMode.Admin);
            Ektron.Cms.FolderCriteria fcrit = new Ektron.Cms.FolderCriteria(Ektron.Cms.Common.FolderProperty.Id, Ektron.Cms.Common.EkEnumeration.OrderByDirection.Ascending);

            Ektron.Cms.FolderData fdata = fman.GetItem(FolderID);
            fcrit.AddFilter(Ektron.Cms.Common.FolderProperty.FolderName, Ektron.Cms.Common.CriteriaFilterOperator.Contains, fdata.Name);
            List<Ektron.Cms.FolderData> folderList = fman.GetList(fcrit);
            List<long> folderIDs = new List<long>();
            foreach (Ektron.Cms.FolderData item in folderList)
            {
                folderIDs.Add(item.Id);
            }

            libCriteria.AddFilter(Ektron.Cms.Common.LibraryProperty.ParentId, Ektron.Cms.Common.CriteriaFilterOperator.In, folderIDs);
        }
        else
        {
            libCriteria.AddFilter(Ektron.Cms.Common.LibraryProperty.ParentId, Ektron.Cms.Common.CriteriaFilterOperator.EqualTo, FolderID);
        }
                
        List<Ektron.Cms.LibraryData> contentList = lman.GetList(libCriteria);

        uxContentlist.Visible = true;
        uxContentlist.DataSource = contentList;
        uxContentlist.DataBind();
    }
}