﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ListSummaryView.ascx.cs" Inherits="Test_ListSummaryView" %>


<asp:ListView ID="uxContentlist" runat="server" ItemPlaceholderID="aspItemPlaceholder"
    Visible="false">
    <EmptyDataTemplate>
        Criteria did not match any records.
    </EmptyDataTemplate>
    <LayoutTemplate>
        <table class="devsite-api-method">
            <thead>
                <tr>
                    <th>Content ID
                    </th>
                    <th>Title
                    </th>
                    <th>LanguageId
                    </th>
                </tr>
            </thead>
            <tbody>
                <asp:PlaceHolder ID="aspItemPlaceholder" runat="server"></asp:PlaceHolder>
            </tbody>
        </table>
    </LayoutTemplate>
    <ItemTemplate>
        <tr>
            <td class="devsite-method">
                <%# Eval("ID")%>
            </td>
            <td class="devsite-method">
                <%# Eval("Title")%>
            </td>
            <td class="devsite-method">
                <%# Eval("LanguageId")%>
            </td>
        </tr>
    </ItemTemplate>
</asp:ListView>

